//____________________________________________________________________
textures/sul_basic2/alpha_light_12000
{
  qer_editorimage textures/sul_basic2/alpha_light.tga
  qer_trans 0.67
  surfaceparm nomarks
  surfaceparm nonsolid
  surfaceparm trans
  surfaceparm nolightmap
  q3map_surfacelight 12000
  {
    map textures/sul_basic2/alpha_light.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen identity
  }
}
//____________________________________________________________________
textures/sul_basic2/gem_magic
{
  qer_editorimage textures/effects/envmapbfg.tga
  qer_trans 0.4
  surfaceparm trans
  surfaceparm nolightmap
  q3map_surfacelight 2000
  
  cull none

//  deformVertexes wave 11 sin 0.01 0.01 .01 0.001
//  deformVertexes normal .2 .7
//  tessSize 
  {
    map textures/effects/envmapbfg.tga
    blendFunc GL_ONE GL_ONE
    tcMod turb 0 .04 0 .17
    tcmod scroll -0.00525 -.0163
    tcmod scale 0.5 0.5
    tcGen environment
    rgbGen wave sin 0.3 0.2 0 0.3
  }
  {
    map textures/effects/envmaprail.tga
    blendFunc GL_ONE GL_ONE
    tcMod turb 0 .04 0 .17
    tcmod scroll 0.00423 -.0133
    tcmod scale 0.5 0.5
    tcGen environment
    rgbGen wave sin 0.3 0.2 0.3333333 0.3
  }
  {
    map textures/effects/envmapplas.tga
    blendFunc GL_ONE GL_ONE
    tcMod turb 0 .04 0 .17
    tcmod scroll 0.00625 -.0143
    tcmod scale 0.5 0.5
    tcGen environment
    rgbGen wave sin 0.3 0.2 0.6666667 0.3
  }
}
//____________________________________________________________________
textures/sul_basic2/slate_stone_shiny
{
  qer_editorimage textures/sul_basic2/slate_stone.tga
  {
    map textures/sul_basic2/slate_stone.tga
    rgbGen identity
  }
  {
    map textures/effects/tinfx3.tga
    tcmod scale 0.5 0.5
    blendFunc GL_ONE GL_ONE
    tcGen environment
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    rgbGen identity
  }
}
//____________________________________________________________________
textures/sul_basic2/gehn_shiny
{
  qer_editorimage textures/sul_basic2/gehn.tga
  {
    map textures/effects/envmapgold.tga
    tcGen environment
//    rgbGen wave sin 0.5 0.08 0 5
  }
  {
    map $lightmap
    tcGen environment
    blendFunc GL_DST_COLOR GL_ONE
  }
  {
    map textures/sul_basic2/gehn.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen identity
  }
  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
    rgbGen identity
  }
}
//____________________________________________________________________
textures/sul_basic2/valley_rocks
{ 
  qer_editorimage textures/sul_basic2/rockwall2.tga
  q3map_globaltexture
  {
    map textures/sul_basic2/rockwall2.tga
//    rgbGen identity
//    rgbGen Vertex

  }
  {
    map textures/sul_basic2/rockwall4.tga
    tcmod scale 0.125 0.125
    blendfunc GL_DST_COLOR GL_ZERO
//    rgbGen identity
  }
  {
    map $lightmap
    rgbGen identity
    blendfunc GL_DST_COLOR GL_ZERO
  }
}
//____________________________________________________________________
textures/sul_basic2/valley_rocks_vertlit
{ 
  qer_editorimage textures/sul_basic2/rockwall2.tga
  q3map_globaltexture
  surfaceparm pointlight
  {
    map textures/sul_basic2/rockwall2.tga
//    rgbGen identity
    rgbGen Vertex

  }
  {
    map textures/sul_basic2/rockwall4.tga
    tcmod scale 0.125 0.125
    blendfunc GL_DST_COLOR GL_ZERO
//    rgbGen identity
  }
//  {
//    map $lightmap
//    rgbGen identity
//    blendfunc GL_DST_COLOR GL_ZERO
//  }
}
//____________________________________________________________________
textures/sul_basic2/valley_fog
{
	qer_editorimage textures/sfx/hellfog.tga
        qer_trans 0.4
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm nodrop
    q3map_surfacelight 40
    fogparms ( .8 .8 .9 ) 1420
}
//____________________________________________________________________
textures/sul_basic2/valley_sky
{
  qer_editorimage textures/sul_basic/jhcanyon4.tga
  surfaceparm noimpact
  surfaceparm nolightmap
  surfaceparm sky
  q3map_globaltexture
  q3map_lightsubdivide 1024
  q3map_sun 1.0 0.9 0.85 15 0 90
  q3map_surfacelight 30
  skyparms env/jf_nebula 512 -
}
//____________________________________________________________________
textures/sul_basic2/clear_calm_100
{
  qer_editorimage textures/liquids/pool3d_3e.tga
  qer_trans .5
  q3map_lightimage textures/liquids/pool3d_3e.tga
  q3map_surfacelight 50
  q3map_globaltexture

  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water
  surfaceparm nolightmap

  cull disable

  deformVertexes wave 67 sin 2 2 .1 0.7
  deformVertexes normal .2 .7
  tessSize 48

  surfaceparm nomarks
  { 
    map textures/liquids/pool3d_3c2.tga
    blendFunc GL_dst_color GL_zero
    rgbgen identity

    tcmod scale -0.15 -0.15
    tcMod turb 0 .0028 0 .12
    tcmod scroll -0.0025 -0.015
  }
  { 
    map textures/liquids/pool3d_3e.tga
    blendFunc GL_dst_color GL_one
    tcmod scale .5 .5
    tcMod turb 0 .04 0 .17
    tcmod scroll 0.00625 -.0014
  }
  {
    map textures/effects/envmapgold.tga
    tcGen environment
    blendFunc GL_ONE GL_ONE
    rgbGen wave sin 0.5 0.001 0 00.5
  }
}
//_____________________________________________________________________
textures/sul_basic2/water_nodraw
{
  qer_editorimage textures/liquids/pool3d_3e.tga
  qer_trans .4
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water
  surfaceparm nodraw
  surfaceparm trans
  surfaceparm nomarks
}
//_____________________________________________________________________
textures/sul_basic2/killsky_brighter
{
	qer_editorimage textures/skies/bluedimclouds.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm sky

	q3map_sun 3 2 2 30 315 65
	q3map_surfacelight 175
	skyparms - 512 -
	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
	}
//	{
//		map textures/skies/killsky_1.tga
//		tcMod scroll 0.05 .1
//		tcMod scale 2 2
//	}
	{
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
//	{
//		map textures/skies/topclouds.tga
//		blendFunc GL_ONE GL_ONE
//		tcMod scale 3 3
//		tcMod scroll 0.05 0.05
//	}

}
