models/balls/bucky_socc
{
  {
    map models/balls/bucky_socc.tga       
  }
}

models/balls/bucky_socc_blood
{
  {
    map models/balls/bucky_socc.tga       
  }
  {
    map models/balls/blood2.tga
    blendfunc blend
    rgbGen lightingDiffuse
  }
}

models/balls/hatchieskin
{
  {
    map models/balls/hatchieskin.tga
    rgbGen lightingDiffuse
  }
}

models/balls/hatchieball
{
  cull none
	{
		map textures/base_ceiling/metceil1d.tga
		blendfunc filter
		rgbGen identity
		tcMod scroll 0.013 0.029
	}
  {
    map textures/effects/tinfx2.tga       
    tcmod scale 0.87 0.87
    tcGen environment
    rgbGen lightingDiffuse
    blendfunc add
  }
}
models/balls/hatchieball_blood
{
  cull none
	{
		map textures/base_ceiling/metceil1d.tga
		blendfunc filter
		rgbGen identity
		tcMod scroll 0.013 0.029
	}
  {
    map textures/effects/tinfx2.tga
    tcmod scale 0.87 0.87
    tcGen environment
    rgbGen lightingDiffuse
    blendfunc add
  }
  {
    map models/balls/blood2.tga
    blendfunc add
    rgbGen lightingDiffuse
  }
}

models/balls/rxnball
{
	{
		map textures/effects/tinfx3.tga
		rgbGen lightingDiffuse 
		tcMod scale 2.4 2.4
//		tcMod scroll 0.013 0.029
//		tcMod turb 0 0.1 0 0.313
		tcGen environment 
	}
	{
		map models/balls/rxnball.tga
		blendfunc add
		rgbGen lightingDiffuse 
		tcMod scale -1 1
//		tcMod scroll 0.043 0
	}
}

models/balls/rxnball_blood
{
	{
		map textures/effects/tinfx3.tga
		rgbGen lightingDiffuse 
		tcMod scale 2.4 2.4
//		tcMod scroll 0.013 0.029
//		tcMod turb 0 0.1 0 0.313
		tcGen environment 
	}
	{
		map models/balls/rxnball.tga
		blendfunc add
		rgbGen lightingDiffuse 
		tcMod scale -1 1
//		tcMod scroll 0.043 0
	}
	{
		map models/balls/blood2.tga
		blendfunc blend
		rgbGen lightingDiffuse 
//		tcMod scroll -0.043 0
	}
}

models/balls/buckyball2
{
  {
    map textures/effects/tinfx3.tga
    tcmod scale 0.47 0.47
    tcgen environment
    rgbGen lightingDiffuse
  }
  {
    map textures/base_wall/bluemetal2_shiny.tga
    blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen lightingDiffuse
  }
}

models/balls/buckyball2_blood
{
  {
     map textures/effects/tinfx3.tga
     tcmod scale 0.47 0.47
     tcgen environment
     rgbGen lightingDiffuse
  }
  {
     map textures/base_wall/bluemetal2_shiny.tga
     blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     rgbGen lightingDiffuse
  }
  {
     map models/balls/blood2.tga
     blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     rgbGen lightingDiffuse
  }
}

models/balls/redeye
{
	{
		map textures/effects/tinfx3.tga
		rgbGen lightingDiffuse 
		tcMod scale 2.4 2.4
//		tcMod scroll 0.013 0.029
//		tcMod turb 0 0.1 0 0.313
		tcGen environment 
	}
	{
		map models/balls/redeye.tga
		blendfunc add
		rgbGen lightingDiffuse 
		tcMod scale -1 1
//		tcMod scroll 0.043 0
	}
}

models/balls/redeye_blood
{
	{
		map textures/effects/tinfx3.tga
		rgbGen lightingDiffuse 
		tcMod scale 2.4 2.4
//		tcMod scroll 0.013 0.029
//		tcMod turb 0 0.1 0 0.313
		tcGen environment 
	}
	{
		map models/balls/redeye.tga
		blendfunc add
		rgbGen lightingDiffuse 
		tcMod scale -1 1
//		tcMod scroll 0.043 0
	}
	{
		map models/balls/blood2.tga
		blendfunc blend
		rgbGen lightingDiffuse 
//		tcMod scroll -0.043 0
	}
}

models/balls/earth
{
        {
		map models/balls/clouds.tga
		rgbGen identity 
		tcMod scale 2.4 2.4
		tcMod scroll 0.01 0.01
//		tcMod turb 0 0.2 0 0.4
	}
	{
		map models/balls/earth.jpg
		blendfunc blend
		rgbGen lightingDiffuse
		tcMod scale -1 1
		tcMod scroll 0.01 0
	}
}

models/balls/earth_blood
{
   {
		map models/balls/clouds.tga
		rgbGen identity 
		tcMod scale 2.4 2.4
		tcMod scroll 0.01 0.01
//		tcMod turb 0 0.2 0 0.4
	}
	{
		map models/balls/earth.jpg
		blendfunc blend
		rgbGen lightingDiffuse
		tcMod scale -1 1
		tcMod scroll 0.01 0
	}
        
        {
                map models/balls/blood2.tga
                blendfunc blend
                rgbGen lightingDiffuse
        }       
}

models/balls/slime
{
  cull none
  deformVertexes wave 14 sin 1 1 2 0.7
  {
//    map textures/liquids/pool3d_4b2.tga
    map textures/liquids/pool2.tga
    blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE
    tcmod scale 1.4 1.4
    tcgen environment
//    tcmod scroll 0.013 0.029
//    tcMod turb 0 .1  0 .313
    rgbGen lightingDiffuse
  }
  {
    map textures/liquids/slime7.tga
    blendFunc GL_DST_COLOR GL_SRC_COLOR
    tcmod scroll 0.043 0.059
    tcMod turb 0 .1  0 .313
    rgbGen identity
  }
}

models/balls/slime_blood
{
  cull none
  deformVertexes wave 14 sin 1 1 0 0.7
  {
    map textures/liquids/pool3d_4b2.tga
//  map textures/liquids/pool2.tga
    blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE
    tcmod scale 1.4 1.4
    tcgen environment
//    tcmod scroll 0.013 0.029
//    tcMod turb 0 .1  0 .313
    rgbGen identity    
  }
  {
    map textures/liquids/slime7.tga
    blendFunc GL_DST_COLOR GL_SRC_COLOR
    tcmod scroll 0.043 0.059
    tcMod turb 0 .1  0 .313
    rgbGen lightingDiffuse
  }
  {
    map models/balls/blood2.tga
    blendfunc add
    rgbGen lightingDiffuse
  }
  
}

models/balls/lavaball
{
  cull none
  deformVertexes wave 12 sin 2 1 4 0.7
  {
    map textures/effects/lava.tga
//  map textures/liquids/pool2.tga
    blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE
    tcmod scale 1.4 1.4
    tcgen environment
//    tcmod scroll 0.013 0.029
//    tcMod turb 0 .1  0 .313
    rgbGen lightingDiffuse
  }
  {
    map textures/liquids/lavahell.tga
    blendFunc GL_DST_COLOR GL_SRC_COLOR
    tcmod scroll 0.043 0.059
    tcMod turb 0 .1  0 .313
    rgbGen identity
  }
}

//not presently used
models/balls/lavablood
{
    cull none
    deformVertexes wave 14 sin 1 1 2 0.7
  {
    map textures/effects/lava.tga
//  map textures/liquids/pool2.tga
    blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE
    tcmod scale 1.4 1.4
    tcgen environment
//    tcmod scroll 0.013 0.029
//    tcMod turb 0 .1  0 .313
    rgbGen lightingDiffuse
  }
  {
    map textures/liquids/lavahell.tga
    blendFunc GL_DST_COLOR GL_SRC_COLOR
    tcmod scroll 0.043 0.059
    tcMod turb 0 .1  0 .313
    rgbGen identity
  }
}

models/balls/PQball
{
	{
		map textures/liquids/pool3d_4b2.tga
		rgbGen lightingDiffuse 
		tcMod scale 2.4 2.4
		tcMod scroll 0.023 0.029
		tcMod turb 0 0.2 0 0.4
	}
	{
		map models/balls/pqball.tga
		blendfunc add
		rgbGen lightingDiffuse 
		tcMod scale -1 1
		tcMod scroll 0.043 0
	}
}

models/balls/PQball_blood
{
	{
		map textures/liquids/pool3d_4b2.tga
		rgbGen lightingDiffuse 
		tcMod scale 2.4 2.4
		tcMod scroll 0.023 0.029
		tcMod turb 0 0.2 0 0.4
	}
	{
		map models/balls/pqball.tga
		blendfunc add
		rgbGen lightingDiffuse 
		tcMod scale -1 1
//		tcMod scroll 0.043 0
	}
	{
		map models/balls/blood2.tga
		blendfunc blend
		rgbGen lightingDiffuse 
//		tcMod scroll 0.043 0
		tcMod scale 0.5 0.5
	}
}